#version 330 core

// Interpolated values from the vertex shaders
in vec2 UV;

// Ouput data
out vec4 color;

// Values that stay constant for the whole mesh.
uniform sampler2D SAMPLER;

void main(){

	// Output color = color of the texture at the specified UV
	color.rgb = texture(SAMPLER, UV).rgb;
	color.a = 1.0;
}